org.eclnt.jsfserver.defaultscreens

## Class Clipboard

- java.lang.Object
- - org.eclnt.jsfserver.defaultscreens.Clipboard

- All Implemented Interfaces:
    java.io.Serializable

      public class Clipboard
      extends java.lang.Object
      implements java.io.Serializable

  Server side management of client side clipboard.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `Clipboard.Clearer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Clipboard()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `static void` | `copyImageToClientCliboard(byte[] imageBytes)`
    `void` | `copyImageToClientClipboardExecute(byte[] imageBytes)`
    `static void` | `copyToClientClipboard(java.lang.String text)` Output normal status message.
    `void` | `copyToClientClipboardExecute(java.lang.String text)`
    `void` | `destroy()`
    `java.lang.String` | `getContentSet()`
    `Trigger` | `getContentSetTrigger()`
    `java.lang.String` | `getDataFlavor()`
    `void` | `setContentSet(java.lang.String value)`
    `void` | `setDataFlavor(java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Clipboard

          public Clipboard()

  - ### Method Detail

    - #### copyToClientClipboard

          public static void copyToClientClipboard(java.lang.String text)

      Output normal status message.

    - #### copyImageToClientCliboard

          public static void copyImageToClientCliboard(byte[] imageBytes)

    - #### setContentSet

          public void setContentSet(java.lang.String value)

    - #### getContentSet

          public java.lang.String getContentSet()

    - #### setDataFlavor

          public void setDataFlavor(java.lang.String value)

    - #### getDataFlavor

          public java.lang.String getDataFlavor()

    - #### getContentSetTrigger

          public Trigger getContentSetTrigger()

    - #### copyToClientClipboardExecute

          public void copyToClientClipboardExecute(java.lang.String text)

    - #### copyImageToClientClipboardExecute

          public void copyImageToClientClipboardExecute(byte[] imageBytes)

    - #### clear

          public void clear()

    - #### destroy

          public void destroy()

Copyright © CaptainCasa Gmbh. All Rights Reserved.